AdMob без огневой базы, без разрешения

Мы использовали AdMob с out Firebase, нам не нужна интеграция Firebase, и мы просто пытаемся рекламировать ниже в зависимостях:

dependencies {
    compile 'com.google.firebase:firebase-ads:9.4.0'
}

Это не решение переменных AdMob, мы застряли здесь. Мы постарались все убрать, сделать проектные шаги. Кто-то сталкивался с этой проблемой?

2 ответа

  1. ...
        dependencies {
                compile fileTree(dir: 'libs', include: ['*.jar'])
                compile 'com.android.support:appcompat-v7:xx.x.x'
                compile 'com.google.firebase:firebase-ads:9.6.0'
            }
    ...
    
    apply plugin: 'com.google.gms.google-services'
    

    Вы пробовали apply plugin: 'com.google.gms.google-services'после зависимостей.

    Если нет., добавить и синхронизировать один раз. Надеюсь, это поможет.

    более подробный. читать этот документ.
    https://firebase.google.com/docs/admob/android/quick-start

  2. Если вы не используете Firebase, лучше избегать использования любой из зависимостей Firebase gradle. Вместо этого используйте его для импорта Google Mobile Ads SDK сам по себе:

    dependencies {
        compile 'com.google.android.gms:play-services-ads:9.6.0'
    }
    

    Убедитесь, что репозиторий Google загружен вашим менеджером SDK. Если это не так, не волнуйтесь-Android Studio предложит вам.

    Если вам интересно, мы написали сообщение в блоге о различных способах импорта SDK и о том, что ваше приложение получит с каждым из них.

    Надеюсь, это поможет!